Scala Compiler2.12.2-20170504-135222-21d12e9 < Back
 

# Packages

-  package root

  The Scala compiler and reflection APIs.

  The Scala compiler and reflection APIs.

  Definition Classes
    root
-  package scala
  Definition Classes
    root
-  package tools
  Definition Classes
    scala
-  package nsc
  Definition Classes
    tools
-  package ast
  Definition Classes
    nsc
-  abstract class TreeBrowsers extends AnyRef

  Tree browsers can show the AST in a graphical and interactive way, useful for debugging and understanding.

  Tree browsers can show the AST in a graphical and interactive way, useful for debugging and understanding.

  Definition Classes
    ast
  Version

    1.0

- ASTTreeModel
- BrowserFrame
- ProgramTree
- SwingBrowser
- TextInfoPanel
- TreeInfo
- TypePrinter
- UnitTree

c

scala.tools.nsc.ast.TreeBrowsers

# SwingBrowser 

###

#### class SwingBrowser extends AnyRef

Java Swing pretty printer for Scala abstract syntax trees.

Source
  TreeBrowsers.scala

Linear Supertypes
AnyRef, Any
Type Hierarchy
 
Ordering

1. Alphabetic
2. By Inheritance

Inherited

1. SwingBrowser
2. AnyRef
3. Any

Implicitly

1. by any2stringadd
2. by StringFormat
3. by Ensuring
4. by ArrowAssoc

1. Hide All
2. Show All

Visibility

1. Public
2. All

### Instance Constructors

1.  new SwingBrowser()

### Value Members

1.  final def !=(arg0: Any): Boolean
   Definition Classes
     AnyRef → Any
2.  final def ##(): Int
   Definition Classes
     AnyRef → Any
3.  def +(other: String): String
   Implicit
     This member is added by an implicit conversion from SwingBrowser to any2stringadd[SwingBrowser] performed by method any2stringadd in scala.Predef.
   Definition Classes
     any2stringadd
4.  def ->[B](y: B): (SwingBrowser, B)
   Implicit
     This member is added by an implicit conversion from SwingBrowser to ArrowAssoc[SwingBrowser] performed by method ArrowAssoc in scala.Predef.
   Definition Classes
     ArrowAssoc
   Annotations
     @inline()
5.  final def ==(arg0: Any): Boolean
   Definition Classes
     AnyRef → Any
6.  final def asInstanceOf[T0]: T0
   Definition Classes
     Any
7.  def browse(pName: String, units: List[Global.CompilationUnit]): Unit

   print the whole program

8.  def browse(pName: String, units: Iterator[Global.CompilationUnit]): Unit
9.  def clone(): AnyRef
   Attributes
     protected[java.lang]
   Definition Classes
     AnyRef
   Annotations
     @throws( ... )
10.  def ensuring(cond: (SwingBrowser) ⇒ Boolean, msg: ⇒ Any): SwingBrowser
    Implicit
      This member is added by an implicit conversion from SwingBrowser to Ensuring[SwingBrowser] performed by method Ensuring in scala.Predef.
    Definition Classes
      Ensuring
11.  def ensuring(cond: (SwingBrowser) ⇒ Boolean): SwingBrowser
    Implicit
      This member is added by an implicit conversion from SwingBrowser to Ensuring[SwingBrowser] performed by method Ensuring in scala.Predef.
    Definition Classes
      Ensuring
12.  def ensuring(cond: Boolean, msg: ⇒ Any): SwingBrowser
    Implicit
      This member is added by an implicit conversion from SwingBrowser to Ensuring[SwingBrowser] performed by method Ensuring in scala.Predef.
    Definition Classes
      Ensuring
13.  def ensuring(cond: Boolean): SwingBrowser
    Implicit
      This member is added by an implicit conversion from SwingBrowser to Ensuring[SwingBrowser] performed by method Ensuring in scala.Predef.
    Definition Classes
      Ensuring
14.  final def eq(arg0: AnyRef): Boolean
    Definition Classes
      AnyRef
15.  def equals(arg0: Any): Boolean
    Definition Classes
      AnyRef → Any
16.  def finalize(): Unit
    Attributes
      protected[java.lang]
    Definition Classes
      AnyRef
    Annotations
      @throws( classOf[java.lang.Throwable] )
17.  def formatted(fmtstr: String): String
    Implicit
      This member is added by an implicit conversion from SwingBrowser to StringFormat[SwingBrowser] performed by method StringFormat in scala.Predef.
    Definition Classes
      StringFormat
    Annotations
      @inline()
18.  final def getClass(): Class[_]
    Definition Classes
      AnyRef → Any
19.  def hashCode(): Int
    Definition Classes
      AnyRef → Any
20.  final def isInstanceOf[T0]: Boolean
    Definition Classes
      Any
21.  final def ne(arg0: AnyRef): Boolean
    Definition Classes
      AnyRef
22.  final def notify(): Unit
    Definition Classes
      AnyRef
23.  final def notifyAll(): Unit
    Definition Classes
      AnyRef
24.  final def synchronized[T0](arg0: ⇒ T0): T0
    Definition Classes
      AnyRef
25.  def toString(): String
    Definition Classes
      AnyRef → Any
26.  final def wait(): Unit
    Definition Classes
      AnyRef
    Annotations
      @throws( ... )
27.  final def wait(arg0: Long, arg1: Int): Unit
    Definition Classes
      AnyRef
    Annotations
      @throws( ... )
28.  final def wait(arg0: Long): Unit
    Definition Classes
      AnyRef
    Annotations
      @throws( ... )
29.  def →[B](y: B): (SwingBrowser, B)
    Implicit
      This member is added by an implicit conversion from SwingBrowser to ArrowAssoc[SwingBrowser] performed by method ArrowAssoc in scala.Predef.
    Definition Classes
      ArrowAssoc

### Inherited from AnyRef

### Inherited from Any

### Inherited by implicit conversion any2stringadd from SwingBrowser to any2stringadd[SwingBrowser]

### Inherited by implicit conversion StringFormat from SwingBrowser to StringFormat[SwingBrowser]

### Inherited by implicit conversion Ensuring from SwingBrowser to Ensuring[SwingBrowser]

### Inherited by implicit conversion ArrowAssoc from SwingBrowser to ArrowAssoc[SwingBrowser]

### Ungrouped